Remove software from production task type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /data/projects/{project_id}/task-types/{task_type_id}/softwares/{software_id}

Unlink a software from a task type of a production. Admins, managers of the team and supervisors of the team for the task types of their departments can remove it.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

  • software_id string(uuid) Required

    Software unique identifier

Responses

  • 204

    Software removed from the task type

  • 403

    Not allowed to change the softwares of this task type

DELETE /data/projects/{project_id}/task-types/{task_type_id}/softwares/{software_id}
curl \
 --request DELETE 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-types/b35b7fb5-df86-5776-b181-68564193d360/softwares/c46c8fc6-ef97-4887-a292-79675204e471' \
 --header "Authorization: $API_KEY"